ISPConfig3 502 Bad Gateway

Discussion in 'Installation/Configuration' started by parkerj, Dec 29, 2011.

  1. parkerj

    parkerj Member HowtoForge Supporter

    I've installed ispconfig3 successfully, but I am getting the 502 Bad Gateway and I've tried all I know to fix it but I am tapped out of ideas. Here is the url: http://184.107.254.130:8080/

    Any help or direction is greatly appreciated. Thanks.
     
  2. till

    till Super Moderator Staff Member ISPConfig Developer

    Most likely a different software usesvalready port 8080 on your server ot router. Try to use a different port for ispconfig.
     
  3. parkerj

    parkerj Member HowtoForge Supporter

    @till, it was due to to the ...sock which I changed to look at 127.0.0.1:9000 and then it worked. Not sure if that is what it supposed to be but it works. But now I have a new issue. On a new website, the frontpage loads but all other pages return a 404 error. I have WordPress multisite installed with Nginx. I am new to using ISPConfig3 with Nginx, so I am still learning.
     
  4. parkerj

    parkerj Member HowtoForge Supporter

    Thanks @till. I did a reinstall and everything is working fine right now except the wildcard DNS, but I am going to try and figure that out myself. Again, thanks.
     
  5. gilson

    gilson Member

    Last edited: Feb 17, 2019
  6. till

    till Super Moderator Staff Member ISPConfig Developer

    Try to do an ispconfig update and choose to reconfigure services during update.
     
  7. gilson

    gilson Member

    Ok my dear, thank. But how to do that, I never did... upgrade where if I can't get in, only through the terminal linux... I use google cloud debian stretch..

    This here to update, what choose? http://prntscr.com/mmse92


    I already did and look at the message
    There are no updates available for ISPConfig 3.1.13
     
    Last edited: Feb 18, 2019
  8. till

    till Super Moderator Staff Member ISPConfig Developer

  9. gilson

    gilson Member


    Very thank my dear... I'm trying here, you doubt the last line, I type what

    Reconfigure Services? (yes,no,selected) [yes]: yes
    Configuring Postfix
    Configuring Dovecot
    Configuring Spamassassin
    Configuring Amavisd
    Configuring Getmail
    Configuring BIND
    Configuring Pureftpd
    Configuring nginx
    Configuring Apps vhost
    Configuring Jailkit
    Configuring Ubuntu Firewall
    Configuring Database
    Updating ISPConfig
    ISPConfig Port [8080]:
     
  10. till

    till Super Moderator Staff Member ISPConfig Developer

    press return
     
  11. gilson

    gilson Member

    Thank Dear, Create new ISPConfig SSL certificate (yes,no) [no]: YES or NO?

    Sorry, silly questions, but I've never done that...but it already helps other people with the same doubt and problem...
     
  12. gilson

    gilson Member

    Continue with installation, but see PHP error


    Reconfigure Crontab? (yes,no) [yes]: yes

    Updating Crontab
    Restarting services ...
    Failed to reload php5-fpm.service: Unit php5-fpm.service not found.
    Update finished.
    [email protected]:/tmp/ispconfig3_install/install$
     
  13. till

    till Super Moderator Staff Member ISPConfig Developer

    Seems as if you did not install php5-fpm and without that, the system can not work. Which tutorial did you use to install the server?
     
  14. gilson

    gilson Member

  15. till

    till Super Moderator Staff Member ISPConfig Developer

    The PHP version depends on the OS and OS version that you use and ispconfig expects to find the PHP version that belongs to a specific operating system version and if the expected PHP version is not there, then the system must fail.

    Go to the ispconfig website and there to the documentation page, there you find a lot of perfect server tutorials for different operating systems and versions, pick the guide that matched the OS and OS version that you use on your server and follow it to install your system.
     
  16. gilson

    gilson Member

    I get it, but I bought the official guide ISP, but due to lack of time I didn't read it, but does it help that too? you didn't have to block me out so I wouldn't send emails, I'm sorry. Thank by help.

    I'm going to re-install the VPs from zero...
     
  17. till

    till Super Moderator Staff Member ISPConfig Developer

    The ISPConfig manual is a user manual, it shows you how to use ISPConfig. It is not an installation guide, the installation guides are linked on the ISPConfig homepage on the documentation page.
     
  18. gilson

    gilson Member

    Ok. I'll reinstall it, but how do I leave the two versions of php 5 and 7.x.x.x etc
     
  19. kj_

    kj_ New Member

    gilson likes this.
  20. HostOnNet

    HostOnNet New Member

    Having same problem, followed instructions from

    https://www.howtoforge.com/tutorial/perfect-server-debian-9-nginx-bind-dovecot-ispconfig-3.1/

    Followed same instructions 2 days ago, that worked fine.

    Look like something went wrong with ISPConfig OS detection, install/dist/conf/debian90.conf.php don't have any reffernce to php5.

    On line 105, $dist have following value

    Code:
        [name] => Debian
        [version] => Jessie
        [id] => debian60
        [confid] => debian60
        [baseid] => debian
    
    On

    Code:
    [email protected]:/tmp/ispconfig3_install/install# lsb_release -a
    No LSB modules are available.
    Distributor ID:    Debian
    Description:    Debian GNU/Linux 9.8 (stretch)
    Release:    9.8
    Codename:    stretch
    [email protected]:/tmp/ispconfig3_install/install#
    
    The problem is Debian 9.8 getting detected as Debian 8.
     
    Last edited: Feb 18, 2019
    gilson likes this.

Share This Page